$("#calcbutton").click(function(){

	var dataString = $("#ajax :input").serialize();
	var id=$(this).val();
		
		$.ajax({
			url: "php/class/price_calc/class_pricecalc.php",
			type: "POST",
			data: dataString,
			dataType: 'json',
			success: function (data) {

			// input response into input Field
			$("#divvkbrutto1 :input").val(data[0]); 
			$("#divvkbrutto2 :input").val(data[1]);
			$("#divversandkosten2 :input").val(data[2]);
			
			if (data[0] >= 1) {
			$("#preis :input").val(data[1]); 
			}
			if (data[3] >= 1) {
			$("#preis1 :input").val(data[3]);
			$("#vk_var_exkl_1 :input").val(data[3]);
			$("#vk_var_inkl_1 :input").val(data[4]);
			}else{
			$("#vk_var_exkl_1 :input").val('');
			$("#vk_var_inkl_1 :input").val('');	
			}
			if (data[5] >= 1) {
			$("#preis2 :input").val(data[5]);
			$("#vk_var_exkl_2 :input").val(data[5]);
			$("#vk_var_inkl_2 :input").val(data[6]);
			}else{
			$("#vk_var_exkl_2 :input").val('');
			$("#vk_var_inkl_2 :input").val('');	
			}
			if (data[7] >= 1) {
			$("#preis3 :input").val(data[7]);
			$("#vk_var_exkl_3 :input").val(data[7]);
			$("#vk_var_inkl_3 :input").val(data[8]);
			}else{
			$("#vk_var_exkl_3 :input").val('');
			$("#vk_var_inkl_3 :input").val('');	
			}
			if (data[9] >= 1) {
			$("#preis4 :input").val(data[9]);
			$("#vk_var_exkl_4 :input").val(data[9]);
			$("#vk_var_inkl_4 :input").val(data[10]);
			}else{
			$("#vk_var_exkl_4 :input").val('');
			$("#vk_var_inkl_4 :input").val('');	
			}
			if (data[11] >= 1) {
			$("#preis5 :input").val(data[11]);
			$("#vk_var_exkl_5 :input").val(data[11]);
			$("#vk_var_inkl_5 :input").val(data[12]);
			}else{
			$("#vk_var_exkl_5 :input").val('');
			$("#vk_var_inkl_5 :input").val('');	
			}
			if (data[13] >= 1) {
			$("#preis6 :input").val(data[13]);
			$("#vk_var_exkl_6 :input").val(data[13]);
			$("#vk_var_inkl_6 :input").val(data[14]);
			}else{
			$("#vk_var_exkl_6 :input").val('');
			$("#vk_var_inkl_6 :input").val('');	
			}
			if (data[15] >= 1) {
			$("#preis7 :input").val(data[15]);
			$("#vk_var_exkl_7 :input").val(data[15]);
			$("#vk_var_inkl_7 :input").val(data[16]);
			}else{
			$("#vk_var_exkl_7 :input").val('');
			$("#vk_var_inkl_7 :input").val('');	
			}
			if (data[17] >= 1) {
			$("#preis8 :input").val(data[17]);
			$("#vk_var_exkl_8 :input").val(data[17]);
			$("#vk_var_inkl_8 :input").val(data[18]);
			}else{
			$("#vk_var_exkl_8 :input").val('');
			$("#vk_var_inkl_8 :input").val('');	
			}
			if (data[19] >= 1) {
			$("#preis9 :input").val(data[19]);
			$("#vk_var_exkl_9 :input").val(data[19]);
			$("#vk_var_inkl_9 :input").val(data[20]);
			}else{
			$("#vk_var_exkl_9 :input").val('');
			$("#vk_var_inkl_9 :input").val('');	
			}
			if (data[21] >= 1) {
			$("#preis10 :input").val(data[21]);
			$("#vk_var_exkl_10 :input").val(data[21]);
			$("#vk_var_inkl_10 :input").val(data[20]);
			}else{
			$("#vk_var_exkl_10 :input").val('');
			$("#vk_var_inkl_10 :input").val('');	
			}
			if (data[23] >= 1) {
			$("#preis11 :input").val(data[23]);
			$("#vk_var_exkl_11 :input").val(data[23]);
			$("#vk_var_inkl_11 :input").val(data[24]);
			}else{
			$("#vk_var_exkl_11 :input").val('');
			$("#vk_var_inkl_11 :input").val('');	
			}
			if (data[25] >= 1) {
			$("#preis12 :input").val(data[25]);
			$("#vk_var_exkl_12 :input").val(data[25]);
			$("#vk_var_inkl_12 :input").val(data[26]);
			}else{
			$("#vk_var_exkl_12 :input").val('');
			$("#vk_var_inkl_12 :input").val('');	
			}
			if (data[27] >= 1) {
			$("#preis13 :input").val(data[27]);
			$("#vk_var_exkl_13 :input").val(data[27]);
			$("#vk_var_inkl_13 :input").val(data[28]);
			}else{
			$("#vk_var_exkl_13 :input").val('');
			$("#vk_var_inkl_13 :input").val('');	
			}
			if (data[29] >= 1) {
			$("#preis14 :input").val(data[29]);
			$("#vk_var_exkl_14 :input").val(data[29]);
			$("#vk_var_inkl_14 :input").val(data[30]);
			}else{
			$("#vk_var_exkl_14 :input").val('');
			$("#vk_var_inkl_14 :input").val('');	
			}
			if (data[31] >= 1) {
			$("#preis15 :input").val(data[31]);
			$("#vk_var_exkl_15 :input").val(data[31]);
			$("#vk_var_inkl_15 :input").val(data[32]);
			}else{
			$("#vk_var_exkl_15 :input").val('');
			$("#vk_var_inkl_15 :input").val('');	
			}
			if (data[33] >= 1) {
			$("#preis16 :input").val(data[33]);
			$("#vk_var_exkl_16 :input").val(data[33]);
			$("#vk_var_inkl_16 :input").val(data[34]);
			}else{
			$("#vk_var_exkl_16 :input").val('');
			$("#vk_var_inkl_16 :input").val('');	
			}
			if (data[35] >= 1) {
			$("#preis17 :input").val(data[35]);
			$("#vk_var_exkl_17 :input").val(data[35]);
			$("#vk_var_inkl_17 :input").val(data[36]);
			}else{
			$("#vk_var_exkl_17 :input").val('');
			$("#vk_var_inkl_17 :input").val('');	
			}
			if (data[37] >= 1) {
			$("#preis18 :input").val(data[37]);
			$("#vk_var_exkl_18 :input").val(data[37]);
			$("#vk_var_inkl_18 :input").val(data[38]);
			}else{
			$("#vk_var_exkl_18 :input").val('');
			$("#vk_var_inkl_18 :input").val('');	
			}
			if (data[39] >= 1) {
			$("#preis19 :input").val(data[39]);
			$("#vk_var_exkl_19 :input").val(data[39]);
			$("#vk_var_inkl_19 :input").val(data[40]);
			}else{
			$("#vk_var_exkl_19 :input").val('');
			$("#vk_var_inkl_19 :input").val('');	
			}
			if (data[41] >= 1) {
			$("#preis20 :input").val(data[41]);
			$("#vk_var_exkl_20 :input").val(data[41]);
			$("#vk_var_inkl_20 :input").val(data[42]);
			}else{
			$("#vk_var_exkl_20 :input").val('');
			$("#vk_var_inkl_20 :input").val('');	
			}
			if (data[43] >= 1) {
			$("#preis21 :input").val(data[43]);
			$("#vk_var_exkl_21 :input").val(data[43]);
			$("#vk_var_inkl_21 :input").val(data[44]);
			}else{
			$("#vk_var_exkl_21 :input").val('');
			$("#vk_var_inkl_21 :input").val('');	
			}
			if (data[45] >= 1) {
			$("#preis22 :input").val(data[45]);
			$("#vk_var_exkl_22 :input").val(data[45]);
			$("#vk_var_inkl_22 :input").val(data[46]);
			}else{
			$("#vk_var_exkl_22 :input").val('');
			$("#vk_var_inkl_22 :input").val('');	
			}
			if (data[47] >= 1) {
			$("#preis23 :input").val(data[47]);
			$("#vk_var_exkl_23 :input").val(data[47]);
			$("#vk_var_inkl_23 :input").val(data[48]);
			}else{
			$("#vk_var_exkl_23 :input").val('');
			$("#vk_var_inkl_23 :input").val('');	
			}
			if (data[49] >= 1) {
			$("#preis24 :input").val(data[49]);
			$("#vk_var_exkl_24 :input").val(data[49]);
			$("#vk_var_inkl_24 :input").val(data[50]);
			}else{
			$("#vk_var_exkl_24 :input").val('');
			$("#vk_var_inkl_24 :input").val('');	
			}
			if (data[51] >= 1) {
			$("#preis25 :input").val(data[51]);
			$("#vk_var_exkl_25 :input").val(data[51]);
			$("#vk_var_inkl_25 :input").val(data[52]);
			}else{
			$("#vk_var_exkl_25 :input").val('');
			$("#vk_var_inkl_25 :input").val('');	
			}
			if (data[53] >= 1) {
			$("#preis26 :input").val(data[53]);
			$("#vk_var_exkl_26 :input").val(data[53]);
			$("#vk_var_inkl_26 :input").val(data[54]);
			}else{
			$("#vk_var_exkl_26 :input").val('');
			$("#vk_var_inkl_26 :input").val('');	
			}
			if (data[55] >= 1) {
			$("#preis27 :input").val(data[55]);
			$("#vk_var_exkl_27 :input").val(data[55]);
			$("#vk_var_inkl_27 :input").val(data[56]);
			}else{
			$("#vk_var_exkl_27 :input").val('');
			$("#vk_var_inkl_27 :input").val('');	
			}
			if (data[57] >= 1) {
			$("#preis28 :input").val(data[57]);
			$("#vk_var_exkl_28 :input").val(data[57]);
			$("#vk_var_inkl_28 :input").val(data[58]);
			}else{
			$("#vk_var_exkl_28 :input").val('');
			$("#vk_var_inkl_28 :input").val('');	
			}

			$("#wert_artikel_kilopreis").html(data[59]);
			$("#artikel_kilopreis :input").val(data[59]);
			
				}
		});
return false;				
});	